## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathExpression::InvalidArgumentException Class Reference

Exception class thrown when an invalid XPath argument is encountered. More...

`#include <XPathExpression.hpp>`

Inheritance diagram for XPathExpression::InvalidArgumentException

Collaboration diagram for XPathExpression::InvalidArgumentException:

List of all members.

## Public Methods

- InvalidArgumentException ( int theOpCode, int theValue)
    Construct an InvalidArgumentException object. More...
- virtual ~InvalidArgumentException ()

## Detailed Description

Exception class thrown when an invalid XPath argument is encountered.

## Constructor & Destructor Documentation

XPathExpression::InvalidArgumentException::InvalidArgumentException ( | int theOpCode,
| int theValue )

Construct an InvalidArgumentException object.

Parameters:

  theOpCode | operation code that caused the exception
  theValue | invalid argument value

virtual XPathExpression::InvalidArgumentException::~InvalidArgumentException ( | )

The documentation for this class was generated from the following file:

- XPathExpression.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.